@if (componentData$ | async; as componentData) {
  @if (userCanWriteTC(componentData)) {
    <div
      [attr.data-test-button-id]="'add-dataset'"
      class="current-workspace-main-color m-b-10 add-dataset"
      (click)="addDataset()"
    >
      <i class="m-r-5" nz-icon nzType="plus" nzTheme="outline"></i>
      <span>{{
        'sqtm-core.test-case-workspace.dataset-table.datasets.add' | translate
      }}</span>
    </div>
  }
  <sqtm-core-grid></sqtm-core-grid>
}
